- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
tbb::flow::interface8::opencl_device_list Class Reference

## Public Types
typedef container_type::iterator | iterator
typedef container_type::const_iterator | const_iterator
typedef container_type::size_type | size_type

## Public Member Functions
| opencl_device_list (std::initializer_list< opencl_device > il)
void | add (opencl_device d)
size_type | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.